#!/usr/bin/perl

require("count.inc");

&initialize;
&generateBitmap;
&writeBitmap;
exit(0);


##############################################################################
# 	
#
##############################################################################
sub initialize {
	
	$minLen = 1;		# min number of digits in bitmap
	$cheight = 16;		# char height. 
	$| = 1;			# unbuffer the output

#------------------args------------------------
	
	$rst   = "no";
	$viz   = "yes";
	$isinv = "yes";


	#######################################################
	# 
	###############
    @dg =   ("00 00 e0 07 f0 0f 30 0c 30 0c 30 0c 30 0c 30 0c 30 0c 30 0c 30 0c 30 0c 30 0c f0 0f e0 07 00 00",    # 0
            "00 00 80 01 c0 01 e0 01 80 01 80 01 80 01 80 01 80 01 80 01 80 01 80 01 80 01 e0 07 e0 07 00 00",     # 1
            "00 00 e0 07 f8 1f 18 18 18 18 18 1c 00 0e 00 07 80 03 c0 01 e0 00 70 00 38 00 f8 1f f8 1f 00 00",     # 2
            "00 00 f0 07 f0 0f 30 0c 00 0c 00 0c 00 0c c0 0f c0 0f 00 0c 00 0c 00 0c 30 0c f0 0f f0 07 00 00",     # 3
            "00 00 00 06 00 0f 80 0f c0 0d e0 0c 70 0c f0 0f f0 0f 00 0c 00 0c 00 0c 00 0c 00 0c 00 0c 00 00",     # 4
            "00 00 e0 0f f0 0f 30 00 30 00 30 00 30 00 f0 07 e0 0f 00 0c 00 0c 00 0c 30 0c f0 07 e0 03 00 00",     # 5
            "00 00 20 00 30 00 30 00 30 00 30 00 30 00 f0 07 f0 0f 30 0c 30 0c 30 0c 30 0c f0 0f e0 0f 00 00",     # 6
            "00 00 f0 0f f0 0f 30 0c 30 0c 00 06 00 03 00 03 80 01 80 01 c0 00 c0 00 60 00 60 00 60 00 00 00",     # 7
            "00 00 e0 07 f0 0f 30 0c 30 0c 30 0c 60 06 c0 03 c0 03 60 06 30 0c 30 0c 30 0c f0 0f e0 07 00 00",     # 8
            "00 00 e0 07 f0 0f 30 0c 30 0c 30 0c e0 0f c0 0f 00 0e 00 0e 00 07 80 03 c0 01 e0 00 60 00 00 00");    # 9

	
	@idg = ("ff ff 1f f8 0f f0 cf f3 cf f3 cf f3 cf f3 cf f3 cf f3 cf f3 cf f3 cf f3 cf f3 0f f0 1f f8 ff ff",		#0
		"ff ff 7f fe 3f fe 1f fe 7f fe 7f fe 7f fe 7f fe 7f fe 7f fe 7f fe 7f fe 7f fe 1f f8 1f f8 ff ff",			#1
		"ff ff 1f f8 07 e0 e7 e7 e7 e7 e7 e3 ff f1 ff f8 7f fc 3f fe 1f ff 8f ff c7 ff 07 e0 07 e0 ff ff",			#2
		"ff ff 0f f8 0f f0 cf f3 ff f3 ff f3 ff f3 3f f0 3f f0 ff f3 ff f3 ff f3 3f f3 0f f0 0f f8 ff ff",			#3
		"ff ff ff f9 ff f0 7f f0 3f f2 1f f3 8f f3 0f f0 0f f0 ff f3 ff f3 ff f3 ff f3 ff f3 ff f3 ff ff",			#4
		"ff ff 1f f0 0f f0 cf ff cf ff cf ff cf ff 0f f8 1f f0 ff f3 ff f3 ff f3 cf f3 0f f8 1f fc ff ff",			#5
		"ff ff df ff cf ff cf ff cf ff cf ff cf ff 0f f8 0f f0 cf f3 cf f3 cf f3 cf f3 0f f0 1f f0 ff ff",			#6
		"ff ff 0f f0 0f f0 cf f3 cf f3 ff f9 ff fc ff fc 7f fe 7f fe 3f ff 3f ff 9f ff 9f ff 9f ff ff ff",			#7
		"ff ff 1f f8 0f f0 cf f3 cf f3 cf f3 9f f9 3f fc 3f fc 9f f9 cf f3 cf f3 cf f3 0f f0 1f f8 ff ff",			#8
		"ff ff 1f f8 0f f0 cf f3 cf f3 cf f3 1f f0 3f f0 ff f1 ff f1 ff f8 7f fc 3f fe 1f ff 9f ff ff ff");			#9

	@digits = @dg;
	if ( $isinv eq 'yes' ) {
		@digits = @idg;
	}
}
############################################################################
#	
############################################################################
sub writeBitmap {
       
     open(FLY,">count.xbm");
	printf FLY "#define count_width %d\n#define count_height %d\n",
		$len*16, $cheight;
   	printf FLY "static char count_bits[] = {\n";

   	for($i = 0; $i < ($#bytes + 1); $i++) {
   		print FLY "0x$bytes[$i],";
   	}
   	print FLY "};\n";
}

###############################################################################
# 
###############################################################################
sub generateBitmap {
if ($count < 1) { exit;}
   	@bytes = ();
   	$len = length($count) > $minLen ? length($count) : $minLen;
   	$formattedCount = sprintf("%0${len}d",$count);
	for ($y=0; $y < 16; $y++) {
   	   for ($x=0; $x < $len; $x++) {
       		$digit = substr($formattedCount,$x,1);
       		$byte = substr($digits[$digit],$y*6,2);
   			push(@bytes,$byte);
			$byte2 = substr($digits[$digit],$y*6+3,2);
			push(@bytes,$byte2);
   	   }
   	}
}
;1
