# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost Database : prom

# --------------------------------------------------------
#
# Table structure for table 'Ally'
#

CREATE TABLE Ally (
   name varchar(16) NOT NULL,
   ally varchar(16),
   war varchar(16),
   ally2 varchar(16),
   ally3 varchar(16),
   war2 varchar(16),
   war3 varchar(16),
   password varchar(10),
   alliance varchar(40),
   flag varchar(250),
   url varchar(250),
   founder smallint(6) DEFAULT '0' NOT NULL,
   msg text,
   PRIMARY KEY (name)
);

#
# Dumping data for table 'Ally'
#


# --------------------------------------------------------
#
# Table structure for table 'Era'
#

CREATE TABLE Era (
   name char(12) NOT NULL,
   eracolor char(15) NOT NULL,
   infname char(20) NOT NULL,
   tnkname char(20) NOT NULL,
   helname char(20) NOT NULL,
   shpname char(20) NOT NULL,
   wizname char(20) NOT NULL,
   fodname char(20) NOT NULL,
   homesname char(24) NOT NULL,
   shopsname char(24) NOT NULL,
   barracksname char(24) NOT NULL,
   industryname char(24) NOT NULL,
   towersname char(24) NOT NULL,
   labsname char(24) NOT NULL,
   farmsname char(24) NOT NULL,
   offbonus tinyint(4) DEFAULT '0' NOT NULL,
   defbonus tinyint(4) DEFAULT '0' NOT NULL,
   infd tinyint(4) DEFAULT '0' NOT NULL,
   info tinyint(4) DEFAULT '0' NOT NULL,
   tnkd tinyint(4) DEFAULT '0' NOT NULL,
   tnko tinyint(4) DEFAULT '0' NOT NULL,
   held tinyint(4) DEFAULT '0' NOT NULL,
   helo tinyint(4) DEFAULT '0' NOT NULL,
   shpd tinyint(4) DEFAULT '0' NOT NULL,
   shpo tinyint(4) DEFAULT '0' NOT NULL,
   magicbonus tinyint(4) DEFAULT '0' NOT NULL,
   prodbonus tinyint(4) DEFAULT '0' NOT NULL,
   manname char(20) NOT NULL,
   popname char(12) NOT NULL,
   eragif char(64) NOT NULL,
   PRIMARY KEY (name)
);

#
# Dumping data for table 'Era'
#

INSERT INTO Era VALUES ( 'Past', 'darkblue', 'Footmen', 'Enchanted Catapults', 'Dragons', 'Galleons', 'Wizards', 'Grains', 'Huts', 'Markets', 'Keeps', 'Blacksmiths', 'Towers', 'Mage Towers', 'Farms', '100', '105', '2', '1', '2', '3', '4', '6', '6', '7', '110', '95', 'Mana', 'Peasants', 'http://prom.ezclan.net/promisance/bluebar.gif');
INSERT INTO Era VALUES ( 'Present', 'purple', 'Infantry', 'Tanks', 'Helicopters', 'Destroyers', 'Telepaths', 'Food', 'Apartments', 'Malls', 'Bases', 'Industial Complexes', 'Bunkers', 'PSI Centers', 'Plantations', '105', '105', '1', '2', '4', '3', '3', '5', '7', '7', '100', '100', 'Energy', 'Citizens', 'http://prom.ezclan.net/promisance/purplebar.gif');
INSERT INTO Era VALUES ( 'Future', 'green', 'Cyborgs', 'Mech Warriors', 'Hovercraft', 'Dreadnaughts', 'Master AIs', 'Nutrients', 'Gilliads', 'Replomats', 'Storage Bays', 'Automated Factories', 'Laser Cannons', 'Computer Networks', 'Hydroponics', '95', '100', '2', '1', '2', '4', '4', '5', '6', '8', '95', '110', 'Bandwidth', 'Drones', 'http://prom.ezclan.net/promisance/greenbar.gif');

# --------------------------------------------------------
#
# Table structure for table 'FoodMkt'
#

CREATE TABLE FoodMkt (
   seller int(11) DEFAULT '0' NOT NULL,
   amount bigint(20),
   price int(11) DEFAULT '0' NOT NULL,
   hours int(11) DEFAULT '0' NOT NULL,
   KEY seller (seller),
   KEY hours (hours),
   KEY price (price)
);

#
# Dumping data for table 'FoodMkt'
#


# --------------------------------------------------------
#
# Table structure for table 'HelMkt'
#

CREATE TABLE HelMkt (
   seller text,
   amount bigint(20),
   price int(11),
   hours int(11)
);

#
# Dumping data for table 'HelMkt'
#


# --------------------------------------------------------
#
# Table structure for table 'InfMkt'
#

CREATE TABLE InfMkt (
   seller text,
   amount bigint(20),
   price int(11),
   hours int(11)
);

#
# Dumping data for table 'InfMkt'
#


# --------------------------------------------------------
#
# Table structure for table 'Lottery'
#

CREATE TABLE Lottery (
   jackpot bigint(20) DEFAULT '5000000' NOT NULL,
   tickets mediumint(9) DEFAULT '0' NOT NULL,
   lastj bigint(20) DEFAULT '0' NOT NULL,
   lastw smallint(6) DEFAULT '0' NOT NULL,
   lasttick smallint(6) DEFAULT '0' NOT NULL
);

#
# Dumping data for table 'Lottery'
#

INSERT INTO Lottery VALUES ( '1000000', '0', '0', '0', '0');

# --------------------------------------------------------
#
# Table structure for table 'News'
#

CREATE TABLE News (
   attnum int(11) DEFAULT '0' NOT NULL,
   defnum int(11) DEFAULT '0' NOT NULL,
   attack text,
   loss text,
   date int(11),
   hour int(11) DEFAULT '0' NOT NULL,
   defname varchar(60) NOT NULL,
   attname varchar(60) NOT NULL,
   attally varchar(40) NOT NULL,
   defally varchar(24) NOT NULL,
   month int(11) DEFAULT '0' NOT NULL,
   ID int(11) DEFAULT '0' NOT NULL auto_increment,
   PRIMARY KEY (ID),
   KEY defnum (defnum),
   KEY hour (hour),
   KEY month (month),
   KEY defname (defname),
   KEY attname (attname),
   KEY attally (attally),
   KEY defally (defally)
);

#
# Dumping data for table 'News'
#


# --------------------------------------------------------
#
# Table structure for table 'Players'
#

CREATE TABLE Players (
   username varchar(10) NOT NULL,
   password varchar(8) NOT NULL,
   email varchar(40),
   state varchar(10),
   name varchar(20),
   empire varchar(35) DEFAULT 'Unnamed Realm' NOT NULL,
   race varchar(8) DEFAULT 'Past' NOT NULL,
   IP varchar(15),
   lastday int(11),
   infantry bigint(21),
   cash bigint(21),
   tanks bigint(21),
   helis bigint(21),
   turns int(11) DEFAULT '0' NOT NULL,
   land int(11) DEFAULT '100' NOT NULL,
   freeland int(11),
   food bigint(21),
   peasants int(11),
   attacks int(11) DEFAULT '0' NOT NULL,
   spies int(11),
   shops int(11),
   homes int(11),
   industry int(11),
   barracks int(11),
   labs int(11),
   farms int(11),
   turnsused int(11),
   valcode varchar(9),
   tax int(11),
   validated int(11),
   online int(11),
   free int(11) DEFAULT '0' NOT NULL,
   alliance varchar(10),
   savings bigint(11),
   loan int(11),
   runes int(11),
   wizards int(11),
   infind int(11),
   tnkind int(11),
   helind int(11),
   spyind int(11),
   networth bigint(21),
   rank int(11) DEFAULT '0' NOT NULL,
   num int(11) DEFAULT '0' NOT NULL auto_increment,
   shield int(11) DEFAULT '0' NOT NULL,
   gate int(11) DEFAULT '0' NOT NULL,
   defense int(11) DEFAULT '0' NOT NULL,
   cookie varchar(48),
   multi int(11) DEFAULT '0' NOT NULL,
   messages int(11),
   lasthour int(11) DEFAULT '0' NOT NULL,
   clear int(11) DEFAULT '0' NOT NULL,
   towers int(11),
   forces int(11) DEFAULT '0' NOT NULL,
   vacation int(11) DEFAULT '0' NOT NULL,
   ticket int(11),
   aid tinyint(11) DEFAULT '0' NOT NULL,
   offense int(11),
   race2 varchar(20) NOT NULL,
   signed varchar(20),
   allytime int(11) DEFAULT '0' NOT NULL,
   ships bigint(20),
   shpind bigint(20),
   daysidle int(11) DEFAULT '0' NOT NULL,
   health tinyint(4) DEFAULT '100' NOT NULL,
   msgtext text,
   newstext text,
   pinfmkt bigint(20) DEFAULT '5000' NOT NULL,
   ptnkmkt bigint(20) DEFAULT '5000' NOT NULL,
   phelmkt bigint(20) DEFAULT '5000' NOT NULL,
   pshpmkt bigint(20) DEFAULT '5000' NOT NULL,
   pfodmkt bigint(20) DEFAULT '100000' NOT NULL,
   PRIMARY KEY (num),
   KEY password (password),
   UNIQUE username (username),
   KEY forces (forces),
   KEY race2 (race2),
   KEY race (race)
);

#
# Dumping data for table 'Players'
#


# --------------------------------------------------------
#
# Table structure for table 'Races'
#

CREATE TABLE Races (
   race char(10) NOT NULL,
   offense float(5,3) DEFAULT '1.000' NOT NULL,
   defense float(5,3) DEFAULT '1.000' NOT NULL,
   bpt float(5,3) DEFAULT '1.000' NOT NULL,
   costs float(5,3) DEFAULT '1.000' NOT NULL,
   magic float(5,3) DEFAULT '1.000' NOT NULL,
   ind float(5,3) DEFAULT '1.000' NOT NULL,
   pci float(5,3) DEFAULT '1.000' NOT NULL,
   expl float(5,3) DEFAULT '1.000' NOT NULL,
   mkt float(5,3) DEFAULT '1.000' NOT NULL,
   food float(5,3) DEFAULT '1.000' NOT NULL,
   runes float(5,3) DEFAULT '1.000' NOT NULL,
   farms float(5,3) DEFAULT '1.000' NOT NULL
);

#
# Dumping data for table 'Races'
#

INSERT INTO Races VALUES ( 'Gremlin', '1.200', '0.850', '1.000', '1.000', '0.850', '1.050', '0.850', '1.000', '0.900', '0.900', '1.000', '1.100');
INSERT INTO Races VALUES ( 'Gnome', '0.800', '1.100', '1.100', '0.850', '1.000', '1.000', '1.200', '0.800', '0.850', '1.000', '1.000', '1.200');
INSERT INTO Races VALUES ( 'Troll', '1.300', '1.000', '1.200', '1.150', '1.000', '1.000', '0.900', '1.150', '1.000', '1.000', '1.000', '0.900');
INSERT INTO Races VALUES ( 'Dwarf', '1.200', '1.200', '1.200', '1.100', '0.900', '1.100', '0.900', '0.950', '1.050', '0.950', '0.900', '1.000');
INSERT INTO Races VALUES ( 'Elf', '0.900', '0.900', '0.900', '0.900', '1.250', '0.800', '1.100', '1.100', '0.900', '1.050', '1.200', '0.900');
INSERT INTO Races VALUES ( 'Human', '1.000', '1.000', '1.000', '1.000', '1.000', '1.000', '1.000', '1.000', '1.000', '1.000', '1.000', '1.000');

# --------------------------------------------------------
#
# Table structure for table 'ShipMkt'
#

CREATE TABLE ShipMkt (
   seller text,
   amount bigint(20),
   price int(11),
   hours int(11)
);

#
# Dumping data for table 'ShipMkt'
#


# --------------------------------------------------------
#
# Table structure for table 'TnkMkt'
#

CREATE TABLE TnkMkt (
   seller text,
   amount bigint(20),
   price int(11),
   hours int(11)
);

#
# Dumping data for table 'TnkMkt'
#



